Vcenter Utilization Connections list

Vcenter Utilization Connections list

Lists the connection utilization of vCenter server processes.

This operation was added in vSphere API 9.1.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/vcenter/utilization/connections
COPY
Query Parameters
string of array
services
Optional

List of services to be included in the result.

This property was added in vSphere API 9.1.0.0.

if missing or null or empty, the result will not be filtered by service.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.vcenter.services.Service. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.vcenter.services.Service.

integer of array
ports
Optional

List of port numbers to be included in the result.

This property was added in vSphere API 9.1.0.0.

if missing or null or empty, the result will not be filtered by port.


Authentication
This operation uses the following authentication methods.
Responses
200

Utilization of listening ports for vCenter server processes.

Returns Vcenter Utilization Connections ListResult of type(s) application/json
{
    "servers": [
        {
            "service": "string",
            "ports": [
                {
                    "name": "string",
                    "description": "string",
                    "port": 0,
                    "open_connections": 0,
                    "peers": [
                        {
                            "address": "string",
                            "port": 0,
                            "tcp_state": "string"
                        }
                    ]
                }
            ],
            "total_connections": 0,
            "connection_limit": 0
        }
    ],
    "unknown_criteria": {
        "services": [
            "string"
        ],
        "ports": [
            0
        ]
    }
}
array of object
servers
Required

Utilization of listening ports for vCenter server processes.

This property was added in vSphere API 9.1.0.0.

unknown_criteria
Optional

Filtering criteria that could not match any known properties.

This property was added in vSphere API 9.1.0.0.

if set, the filtering criteria which are unknown are returned.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/utilization/connections